document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_600
--- +++ @@ -26,6 +26,7 @@ alias cu='composer update' alias ci='composer install' alias ccp='composer create-project' +alias cdu='composer dump-autoload' # install composer in the current directory alias cget='curl -s https://getcomposer.org/installer | php'
bash
d_bash_601
--- +++ @@ -2,5 +2,5 @@ #Copy the RPMs out and back to the shared folder cd /vagrant -rsync --no-relative -vahu ~/rpmbuild/RPMS/* . +rsync --no-relative -vahu ~/rpmbuild/RPMS ~/rpmbuild/SRPMS .
bash
d_bash_602
--- +++ @@ -3,6 +3,7 @@ APPNAME=<%= name %> DUMMY_SERVER_NAME=$APPNAME-dummy-http-server-for-ssl-check +sudo docker rm -f $DUMMY_SERVER_NAME || true sudo docker run \ -d \ --name $DUMMY_SERVER_NAME \
bash
d_bash_603
--- +++ @@ -1,5 +1,5 @@ #!/usr/bin/env bash if [ ! -f box.phar ]; then - wget https://github.com/humbug/box/releases/download/3.1.0/box.phar -O box.phar + wget https://github.com/box-project/box/releases/download/3.9.0/box.phar -O box.phar fi
bash
d_bash_604
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -mkdir -p ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot -pushd ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot > /dev/null 2>&1 +mkdir -p ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot/usr +pushd ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot/usr > /dev/null 2>&1 cp -Rf "${SRC_DIR}...
bash
d_bash_605
--- +++ @@ -35,5 +35,5 @@ make "$@" -C ./depends/ V=1 NO_QT=1 ./autogen.sh -./configure --prefix="${PREFIX}" --with-gui=no --enable-hardening "$LCOV_ARG" CXXFLAGS='-Wno-deprecated-declarations -Wno-placement-new -Wno-terminate -Werror -Og -g' +./configure --prefix="${PREFIX}" --with-gui=no --enable-hardening "$LC...
bash
d_bash_606
--- +++ @@ -4,7 +4,6 @@ robots=( "github.com/trinchan/slackbot/robots/decide" "github.com/trinchan/slackbot/robots/bijin" - "github.com/trinchan/slackbot/robots/bots" "github.com/trinchan/slackbot/robots/nihongo" "github.com/trinchan/slackbot/robots/ping" "github.com/trinchan/slackbot/rob...
bash
d_bash_607
--- +++ @@ -2,6 +2,7 @@ DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) set -e set -x +docker ps -a -q | xargs --no-run-if-empty docker rm -fv unset EDITOR # so we don't fail a cli test :\ gvm use go1.4.2 go version
bash
d_bash_608
--- +++ @@ -31,6 +31,6 @@ ;; ubuntu) sudo apt update - sudo apt -y install openjdk-11-jdk + sudo apt -y install openjdk-17-jdk ;; esac
bash
d_bash_609
--- +++ @@ -2,5 +2,5 @@ set -ex -gazelle -external vendored -go_prefix github.com/fission/fission-workflow . +gazelle -external vendored -go_prefix github.com/fission/fission-workflow ./pkg ./cmd
bash
d_bash_610
--- +++ @@ -33,6 +33,6 @@ fi pip3 install 'flask' -pip3 install 'tensorflow==1.2' +pip3 install 'tensorflow==1.4' pip3 install 'scikit-learn==0.19' pip3 install 'scipy'
bash
d_bash_611
--- +++ @@ -33,3 +33,11 @@ function dig-it() { dig +nocmd "$1" any +multiline +noall +answer } + + +# Set the title, displayed on the tab, of the current terminal session. I have to +# experiment with this to see if it gets overwritten when I run processes. + + function set-terminal-title { + ...
bash
d_bash_612
--- +++ @@ -26,6 +26,7 @@ # Setup environment variables export GOOGLE_APPLICATION_CREDENTIALS="$(pwd)/service-account.json" +export FIRESTORE_PROJECT_ID="getting-started-python-tests" # Run tests nox -s run_tests
bash
d_bash_613
--- +++ @@ -7,5 +7,6 @@ ./tools/twine/twine --format android generate-all-string-files ./strings.txt ./android/res/ ./tools/twine/twine --format apple generate-all-string-files ./strings.txt ./iphone/Maps/ ./tools/twine/twine --format apple --file-name InfoPlist.strings generate-all-string-files ./iphone/plist.txt...
bash
d_bash_614
--- +++ @@ -16,4 +16,5 @@ echo "Making" make echo "Executing baseball-pi with root (sudo) privileges" -sudo ./baseball-pi +echo "You will be prompted for your password" +sudo ./build/baseball-pi
bash
d_bash_615
--- +++ @@ -11,4 +11,7 @@ knife bootstrap $IP -x brain -N $HOSTNAME -P password --sudo knife node run_list add $HOSTNAME 'role[simple_webserver]' + +sleep 15 + knife ssh name:$HOSTNAME "sudo chef-client" -x brain -a ipaddress -P password
bash
d_bash_616
--- +++ @@ -19,4 +19,6 @@ -//tensorflow/python/integration_testing/... \ -//tensorflow/compiler/tf2tensorrt/... \ -//tensorflow/compiler/xrt/... \ --//tensorflow/core/tpu/..." +-//tensorflow/core/tpu/... \ +-//tensorflow/java/... \ +-//tensorflow/go/..."
bash
d_bash_617
--- +++ @@ -4,3 +4,5 @@ docker run --name redis-store -d -p 6379:6379 redis echo "\033[92m# Creating postgres-store \033[0m" docker run --name postgres-store -d -e POSTGRES_USER=postgres -e POSTGRES_PASSWORD=$DATABASE_PASSWORD -p 5432:5432 postgres +echo "\033[92m# Creating mongo-store \033[0m" +docker run --name ...
bash
d_bash_618
--- +++ @@ -10,6 +10,7 @@ mkdir -p results +make LUAV=5.2 && make LUAV=5.2 prefix=$(realpath results) install mkdir -vp $DESTDIR
bash
d_bash_619
--- +++ @@ -33,6 +33,7 @@ xstring \ framed \ catchfile \ + letltxmacro \ lastpage # Keep no backups (not required, simply makes cache bigger)
bash
d_bash_620
--- +++ @@ -12,6 +12,7 @@ git checkout $TARGET_BRANCH || git checkout --orphan $TARGET_BRANCH git merge -s recursive -X theirs TEMP_BRANCH -m "Merge into gh-pages: ${SHA}" || true git status --porcelain | awk '{if ($1=="DU") print $2}' | xargs git rm + git add . git commit -m "Merge into gh-pages: ${SHA}...
bash
d_bash_621
--- +++ @@ -1,2 +1,2 @@ -alias docker='[ -z "$DOCKER_HOST" ] && [ -z "$DOCKER_MACHINE" ] && eval "$(docker-machine env default)"; docker' -alias docker-machine-create-default='docker-machine create --driver virtualbox default' +alias docker='[ -z "$DOCKER_HOST" ] && [ -z "$DOCKER_MACHINE" ] && eval "$(docker-machine ...
bash
d_bash_622
--- +++ @@ -3,4 +3,4 @@ alias hosts="head -2 ~/.ssh/known_hosts | tail -1 > ~/.ssh/known_hosts" # Pipe my public key to my clipboard. Fuck you, pay me. -alias pubkey="more ~/.ssh/id_dsa.public | pbcopy | echo '=> Public key copied to pasteboard.'" +alias pubkey="more ~/.ssh/id_rsa.pub | pbcopy | echo '=> Public k...
bash
d_bash_623
--- +++ @@ -16,4 +16,4 @@ echo "*********** Testing on Region: $AWS_REGION " echo "*********** Testing on Folder: $TEMPLATE_FOLDER " -for f in $(find $TEMPLATE_FOLDER -name '*.yml' -or -name '*.yaml' -or -name '*.json'); do echo "************* Validating $f" && aws cloudformation validate-template --color on --re...
bash
d_bash_624
--- +++ @@ -14,4 +14,4 @@ cd $1; git describe --always --match "v[0-9].*" --dirty } -echo STABLE_BUILD_OWNERS-AUTOASSIGN_LABEL $(rev .) +echo STABLE_BUILD_OWNERS_LABEL $(rev .)
bash
d_bash_625
--- +++ @@ -1,6 +1,4 @@ #!/bin/bash - -npm prune if [ "$NODE_ENV" == "production" ]; then make build
bash
d_bash_626
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash +rm -rf build echo current version:$(python setup.py --version) read -p "new version:" new_version last_portion=$(grep -E "^Changelog$" HISTORY.rst -5 | grep -E "^\d+.\d+.\d+")
bash
d_bash_627
--- +++ @@ -17,6 +17,7 @@ ${PWD}/mongodb-linux-x86_64-${MONGODB}/bin/mongod --nojournal --journalCommitInterval 500 \ --syncdelay 0 --dbpath ${DATA_DIR} --bind_ip 127.0.0.1 &> /tmp/mongodb.log & EXIT_CODE=$? +sleep 5 if [ ${EXIT_CODE} -ne 0 ]; then echo "Failed to start MongoDB"
bash
d_bash_628
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -pushd +pushd . echo "Building PROJ $1 version from source..." if [[ $1 == "git" ]]; then git clone https://github.com/OSGeo/PROJ.git proj-git
bash
d_bash_629
--- +++ @@ -23,3 +23,7 @@ # Move the versioned IDEA folder to a known location ideaPath=$(find . -name 'idea-IU*' | head -n 1) mv ${ideaPath} ./idea-IU + +# Disable unneeded plugins. Really, those that cause problems. +echo "Git4Idea" >> ./idea-IU/config/disabled_plugins.txt +
bash
d_bash_630
--- +++ @@ -2,6 +2,7 @@ # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. +#!/bin/bash first_path=$(which $1) echo command path: $first_path
bash
d_bash_631
--- +++ @@ -1,3 +1,5 @@ #!/bin/bash +BUILD_CMD="python setup.py build_ext --inplace" +${BUILD_CMD} pip install -U pytest-watch -ptw --ext=.py,.pyx,.so --beforerun "python setup.py build_ext --inplace" +ptw --ext=.py,.pyx,.so --beforerun "${BUILD_CMD}"
bash
d_bash_632
--- +++ @@ -16,3 +16,7 @@ make -j${CPU_COUNT} CUDA_HOME="${CUDA_HOME}" make install PREFIX="${PREFIX}" + +# Delete the static library as it is quite large. +# Should halve the package size. +rm "${PREFIX}/lib/libnccl_static.a"
bash
d_bash_633
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash -bash "$(dirname $0)/p4differ.sh" "${@}" | colordiff | less -R +bash "$(dirname $0)/p4differ.sh" "${@}" | diff-highlight | colordiff | less -R
bash
d_bash_634
--- +++ @@ -1,5 +1,5 @@ function portslay { - pid=$(lsof -t -iTCP:$port) + pid=$(lsof -t -i:$port) running=$? if [ $running -eq 0 ]; then kill $pid
bash
d_bash_635
--- +++ @@ -10,5 +10,7 @@ make /app-src/build/thinglang --build-only +export PATH=$PATH:/app-src/build/ + cd /app-src pytest tests/integration
bash
d_bash_636
--- +++ @@ -11,4 +11,4 @@ [ "$NOVENV" == "1" ] || prepare_venv || exit 1 -PYTHONDONTWRITEBYTECODE=1 python3 `which behave` --tags=-skip -D dump_errors=true @feature_list.txt $@ +PYTHONDONTWRITEBYTECODE=1 python3.4 `which behave` --tags=-skip -D dump_errors=true @feature_list.txt $@
bash
d_bash_637
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash export PATH=/usr/local/bin:/usr/bin:/bin/:/usr/lib/dart/bin export HOME=/root +export FLUTTER_ROOT=/flutter DIRROOT=/dartdocorg case $1 in
bash
d_bash_638
--- +++ @@ -16,14 +16,21 @@ for track in $TRACKS do # Run each step of the rendering pipeline, to make sure it runs without errors. - python3 clean.py $track - python3 prepare_push.py $track - python3 render.py $track - - # TODO: Once basic checks are working we should also do the following here: -...
bash
d_bash_639
--- +++ @@ -1,5 +1,3 @@ -fpm_args+=(--iteration 5) - case "$TARGET" in debian* | ubuntu*) fpm_depends+=('libpq-dev' 'nginx | apache2')
bash
d_bash_640
--- +++ @@ -7,7 +7,7 @@ crate_name="cargo-registry" test_name="all" -bin_names="delete-crate delete-version populate render-readmes server test-pagerduty transfer-crates update-downloads background-worker monitor" +bin_names="background-worker delete-crate delete-version enqueue-job monitor populate render-readme...
bash
d_bash_641
--- +++ @@ -21,7 +21,8 @@ else echo "Trouble with $file" fi elif [ "$file" == '.ssh' ]; then - mv $HOME/.ssh/config $HOME/.ssh/config_old + mv $HOME/.ssh/config $HOME/.ssh/config_old \ + > /dev/null # Likely some won't have ln -s $PWD/.ssh/config $HOME/.ssh/config err=$? if [ $err == 0 ]; then
bash
d_bash_642
--- +++ @@ -27,6 +27,9 @@ source /home/vagrant/user-agent-venv/bin/activate +pip install --upgrade pip +pip install --upgrade setuptools + cd /vagrant/service echo "running python setup" ./go setuppy > /dev/null
bash
d_bash_643
--- +++ @@ -1,6 +1,9 @@ # This script gets a container ready to run our various tests in BuildKite echo "--- Container Config..." + +source /etc/os-release +echo $PRETTY_NAME echo "ruby version:" ruby -v
bash
d_bash_644
--- +++ @@ -12,3 +12,6 @@ uvcdynctrl -v -d video0 --set='Focus (absolute)' 30 uvcdynctrl -v -d video1 --set='Focus (absolute)' 30 +# Fix power line frequency +uvcdynctrl -v -d video0 --set='Power Line Frequency' 1 +uvcdynctrl -v -d video1 --set='Power Line Frequency' 1
bash
d_bash_645
--- +++ @@ -1,6 +1,6 @@ is_go_existing() { go_version_response=$(go version) - if [[ $go_version_response == *"go version"* ]]; then + if [ $go_version_response -eq *"go version"* ]; then return 1 else return 0 @@ -42,7 +42,7 @@ } is_go_existing -if [ $? == 0 ]; then +if [ $? -eq 0 ]; then i...
bash
d_bash_646
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash trace=$1 +non_verbose=$2 if [ "$trace" == "" ]; then echo 1>&2 "Usage: $0 <Path to trace file>" @@ -11,5 +12,9 @@ if [ "$result" == "" ]; then echo "No invariant violation" else - echo $result + if [ "$non_verbose" != "" ]; then + echo "Violation" + else + ...
bash
d_bash_647
--- +++ @@ -5,4 +5,9 @@ export PGPASSWORD=asylum; while true; do psql -q asylum -c 'SELECT 1;' 1>/dev/null 2>&1 ; if [ "$?" -ne "0" ]; then echo "Waiting for psql"; sleep 1; else break; fi; done sudo -u postgres psql -U postgres -d postgres -c "alter user asylum createdb;" ./manage.py migrate + +# This fixes warni...
bash
d_bash_648
--- +++ @@ -1,8 +1,14 @@ -# Shortcut for system file launch tool -alias open=xdg-open +# # Open files cleanly with default program +function open () { + nohup xdg-open "$*" > /dev/null 2>&1 +} # alias for using emacs when running in server mode -alias em='emacsclient -t' +alias em='emacsclient --tty' +alias ema='...
bash
d_bash_649
--- +++ @@ -8,7 +8,7 @@ command -v uuidgen >/dev/null 2>&1 || { echo >&2 "Repairnator requires uuidgen to be installed."; exit 1; } echo "Read global configuration" -. INIT_SCRIPT_DIR/../config/repairnator.cfg +. $INIT_SCRIPT_DIR/../config/repairnator.cfg echo "Read user configuration" if [ -r ~/repairnator.c...
bash
d_bash_650
--- +++ @@ -5,8 +5,9 @@ popd > /dev/null export GADEPS=$GAPATH/deps.posix -export PKG_CONFIG_PATH=$GADEPS/lib/pkgconfig:/opt/local/lib/pkgconfig:/usr/lib/i386-linux-gnu/pkgconfig/:/usr/lib/pkgconfig:/usr/local/Cellar/ffmpeg/1.2.4/lib/pkgconfig/:/usr/local/Cellar/sdl2/2.0.0/lib/pkgconfig/:/usr/local/Cellar/sdl2_tt...
bash
d_bash_651
--- +++ @@ -15,4 +15,4 @@ #!/bin/bash set -x -DEFAULT_BAZEL_TARGETS="//tensorflow/... -//tensorflow/python/integration_testing/... -//tensorflow/compiler/tf2tensorrt/... -//tensorflow/compiler/xrt/... //tensorflow/compiler/mlir/lite/... -//tensorflow/lite/micro/examples/..." +DEFAULT_BAZEL_TARGETS="//tensorflow/....
bash
d_bash_652
--- +++ @@ -11,7 +11,7 @@ fi ln -fs $dotfiles/vim ~/.vim -ln -fs $dotfiles/vimrc ~/.vimrc +ln -fs $dotfiles/vim/vimrc ~/.vimrc mkdir -p ~/.vim/{.backup,.swap} if [ ! -d "$HOME/.vim/bundle/Vundle.vim" ]; then
bash
d_bash_653
--- +++ @@ -10,5 +10,13 @@ mkdir /opt/railo/config/server mkdir /opt/railo/config/web curl -o /opt/railo/railo.tar.gz $railo + +if [ -f "/opt/railo/railo.tar.gz" ]; then + echo "Download Complete" +else + echo "Download of Railo Failed Exiting..." + exit 1 +fi + tar -xzf /opt/railo/railo.tar.gz -C /opt/railo ...
bash
d_bash_654
--- +++ @@ -43,6 +43,5 @@ # output=$(showcerts("${hostname}")) output=$("${OPENSSL_PATH}" s_client -connect "${hostname}":${port} -showcerts </dev/null 2>/dev/null) - echo "${output}" | "${OPENSSL_PATH}" x509 -outform PEM >"${hostname}.pem" echo "${output}" | "${OPENSSL_PATH}" x509 -outform DER >"${hostna...
bash
d_bash_655
--- +++ @@ -11,9 +11,8 @@ rm -rf dist || exit 0; # Run kotlin application to generate various data -echo $JAVA_HOME -java -version ./gradlew --console plain --no-daemon --stacktrace run -Dtravis=true + # Build React Application npm run pack
bash
d_bash_656
--- +++ @@ -5,4 +5,4 @@ if [ ! $# -gt 1 ]; then echo "Usage: login-to-image.sh <image_name>" fi -docker run -i -t -e DISPLAY=$DISPLAY -v /tmp/.X11-unix:/tmp/.X11-unix --rm $1 /bin/bash +docker run -i -t -e DISPLAY=$DISPLAY -v /tmp/.X11-unix:/tmp/.X11-unix --rm ${@:2} $1 /bin/bash
bash
d_bash_657
--- +++ @@ -1,3 +1,3 @@ cargo build --release --locked --features tls-vendored mkdir -p $PREFIX/bin -mv target/release/starship $PREFIX/bin/starship +mv target/*/release/starship $PREFIX/bin/starship
bash
d_bash_658
--- +++ @@ -4,19 +4,6 @@ HISTFILE=~/.zsh_history HISTSIZE=1000000 SAVEHIST=HISTSIZE - -# MacPorts is uninstalled, so no need to add `/opt/local/bin` to $PATH -# [[ -s "/opt/local/bin" ]] && export PATH=/opt/local/bin:$PATH -[[ -s "/usr/local/bin" ]] && export PATH=/usr/local/bin:$PATH -[[ -s "/usr/local/sbin" ]] &...
bash
d_bash_659
--- +++ @@ -1 +1,3 @@ +PATH=$PATH:$HOME/.rvm/bin # Add RVM to PATH for scripting + [[ -s $HOME/.rvm/scripts/rvm ]] && source $HOME/.rvm/scripts/rvm
bash
d_bash_660
--- +++ @@ -2,7 +2,6 @@ pj () { emulate -L zsh - setopt shwordsplit cmd="cd" project=$1 @@ -10,7 +9,7 @@ if [[ "open" == "$project" ]]; then shift project=$* - cmd=$EDITOR + cmd=${=EDITOR} else project=$* fi
bash
d_bash_661
--- +++ @@ -1,6 +1,4 @@ -#!/bin/bash - -set -e +#!/bin/bash -exu export TMPDIR=/tmp export GOPATH=$PWD/go
bash
d_bash_662
--- +++ @@ -3,6 +3,20 @@ VISUAL=vi export VISUAL +create_link() +{ + ( + cd /usr/local/bin + if [ ! -e $2 ]; then + ln -s $@ + fi + ) +} + if [ $( uname -s ) = Darwin ]; then - alias vi='mvim -v' + create_link mvim vim + create_link mview view + create_link mvimd...
bash
d_bash_663
--- +++ @@ -30,3 +30,5 @@ --colors=always \ --testsuite Zephir \ --coverage-clover ./unit-tests/output/coverage-Zephir.xml + +exit $?
bash
d_bash_664
--- +++ @@ -7,7 +7,7 @@ currentHashCommit=`git rev-parse HEAD` formattedDate=`date '+%Y-%m-%d-%H-%M'` -currentVersion=`cat version.sbt | grep "version in ThisBuild :=" | grep -Po '\K([^"]*)(?=-SNAPSHOT)'` +currentVersion=`cat version.sbt | grep "version in ThisBuild :=" | grep -Po '= "\K[^"]*'` version=${formatt...
bash
d_bash_665
--- +++ @@ -18,8 +18,8 @@ set -o pipefail cd $(git rev-parse --show-toplevel) -gazelle_diff=$(bazel run //:gazelle -- fix -mode=diff) -kazel_diff=$(bazel run //:kazel -- -dry-run -print-diff --cfg-path=./.kazelcfg.json) +gazelle_diff=$(bazel run //:gazelle -- fix -mode=diff || echo FAILED gazelle) +kazel_diff=$(b...
bash
d_bash_666
--- +++ @@ -10,8 +10,8 @@ updatable=$(comm -1 -3 <(echo "$pinned") <(echo "$outdated")) if [ -n "$updatable" ] && [ -e "$TERMINAL_NOTIFIER" ]; then - message="The following formulae are outdated: -$updatable" $TERMINAL_NOTIFIER -sender com.apple.Terminal \ - -title "Homebrew Updates Available" -mes...
bash
d_bash_667
--- +++ @@ -1,4 +1,8 @@ #!/bin/bash + +#FIXME: +GH_TOKEN=1234 + set -o pipefail ( set -e
bash
d_bash_668
--- +++ @@ -7,5 +7,5 @@ # removes the existing demo tag, creates it again and pushes to GitHub git tag -d demo -git tag -a demo +git tag demo git push -f origin demo
bash
d_bash_669
--- +++ @@ -14,12 +14,14 @@ cd /vagrant php /var/www/phpbb/phpBB/install_new/phpbbcli.php install ./phpbb-install-config.yml -# Uncomment this to recompile php7 on provisioning (NOTE: Slow) -# makephp 7 +# Uncomment this to recompile php7 on provisioning (NOTE: Slow). You can also change it +# to compile other ve...
bash
d_bash_670
--- +++ @@ -38,7 +38,7 @@ chmod +x $buildFile # Cleanup - if test ! -d $tempFolder; then + if test -d $tempFolder; then rm -rf $tempFolder fi fi
bash
d_bash_671
--- +++ @@ -7,6 +7,9 @@ install_name_tool -change \ "@loader_path/libsteam_api.dylib" "@rpath/../Resources/libsteam_api.dylib" \ ./FRESteamWorks.framework/FRESteamWorks +# XCode on OS X Mavericks creates frameworks with a broken symlink +# Create that link's target so adt doesn't complain later on +mkdir -...
bash
d_bash_672
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh playlists=$(dirname "$0")/../playlists -for RADIO in 1 2 3 4 4lw 4x 5l 5lsp 6; do +for RADIO in 1 1x 2 3 4 4lw 4x 5l 5lsp 6; do curl -s http://www.bbc.co.uk/radio/listen/live/r${RADIO}_aaclca.pls | grep File1 | cut -d'=' -f2- > $playlists/bbc_radio_${RADIO}.m3u done
bash
d_bash_673
--- +++ @@ -3,6 +3,7 @@ if type brew &> /dev/null; then brew uninstall node brew uninstall n + brew uninstall nvm fi sudo rm -rfv \ @@ -14,13 +15,16 @@ ~/.node-gyp \ /opt/local/bin/node \ /opt/local/include/node \ + /usr/local/opt/nvm \ /opt/local/lib/node_modules\ /usr/local/lib/node_modules \ /...
bash
d_bash_674
--- +++ @@ -1,7 +1,7 @@ PROTOC_GEN_TS_PATH="./node_modules/.bin/protoc-gen-ts" PROTO_PATH="./src/app/proto" PROTOC_OUT_DIR="src/app/proto/generated" -protoc \ +./node_modules/protoc/protoc/bin/protoc \ --proto_path=${PROTO_PATH} \ --plugin="protoc-gen-ts=${PROTOC_GEN_TS_PATH}" \ --js_out="i...
bash
d_bash_675
--- +++ @@ -1,3 +1,6 @@ +travis-artifacts upload --path /tmp/task_2.3.0-1*.deb +travis-artifacts upload --path /tmp/taskd_1.0.0-1*.deb +rm /tmp/*.deb rm -rf /tmp/pip_cache rm -rf /tmp/npm-* rm -rf /tmp/async-disk-cache @@ -7,5 +10,3 @@ travis-artifacts upload --path /tmp/testing_artifacts.tar.gz tar -czf /tmp/ta...
bash
d_bash_676
--- +++ @@ -6,7 +6,7 @@ NUM_CORES= case "${OS}" in - Linux*) NUM_CORES=$(nproc);; + Linux*|MINGW*) NUM_CORES=$(nproc);; Darwin*|FreeBSD) NUM_CORES=$(sysctl -n hw.ncpu);; *) NUM_CORES=1;; esac
bash
d_bash_677
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh setup_git() { - git config --global user.email "travis+fateOfAllFools@travis-ci.org" - git config --global user.name "Travis CI (FATE)" + git config --global user.email "travis@travis-ci.org" + git config --global user.name "Travis CI" git config credential.helper "store --f...
bash
d_bash_678
--- +++ @@ -20,8 +20,7 @@ # format is to display new or different filenames DIFF_FORMAT="--unchanged-line-format= --old-line-format=[en]:%L --new-line-format=[zh_CN]:%L" -# TEMPORARY MODIFICATION: -cmake docs are English-only for now -FOLDER_DIFFERENCES=$(diff $DIFF_FORMAT file_list_en file_list_zh_CN | grep -v "...
bash
d_bash_679
--- +++ @@ -1,10 +1,10 @@ #!/bin/sh # Actual node revisions. -drush mim upgrade_d6_node_revision:page -drush mim upgrade_d6_node_revision:blog_couldnt_make_it_up -drush mim upgrade_d6_node_revision:blog_critical_reading --feedback=100 -# drush mim upgrade_d6_node_revision:image // Ugh, need to be converted to ...
bash
d_bash_680
--- +++ @@ -3,11 +3,16 @@ set -e export K8S_VERSION=${K8S_VERSION:-1.16} +export K8S_NODES=${K8S_NODES:-1} export LOCAL_BOX=k8s-box export LOCAL_BOXFILE=/tmp/${LOCAL_BOX}-package.box echo "destroying vms" -vagrant destroy k8s1-${K8S_VERSION} k8s2-${K8S_VERSION} --force || true +for i in $( seq 1 ${K8S_NODES}...
bash
d_bash_681
--- +++ @@ -8,6 +8,7 @@ bosh -u admin -p admin target $BOSH_LITE_TARGET ../gocd_scripts/replace_director_uuid.sh ../gocd_scripts/generate_warden_manifest.sh +bosh -n delete release cf bosh -n create release cf --force bosh login admin admin bosh -n upload release --skip-if-exists
bash
d_bash_682
--- +++ @@ -6,5 +6,4 @@ fi mkdir -p ~/.phpenv/versions/$(phpenv version-name)/etc -echo "extension=memcache.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini echo "extension=memcached.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini
bash
d_bash_683
--- +++ @@ -16,7 +16,7 @@ git checkout develop output=$(git rev-parse --abbrev-ref HEAD) if [ "$output" = "develop" ]; then - docker login -u "$DOCKER_USERNAME" -p "$DOCKER_PASSWORD" + docker login -u "$DOCKER_USERNAME" -p "$DOCKER_PASSWORD" -e "$DOCKER_EMAIL" if [ $? -ne 0 ]; then ...
bash
d_bash_684
--- +++ @@ -14,7 +14,7 @@ $FIG_CMD build -docker save `echo jenkins${JOB_NAME}${BUILD_NUMBER}| sed s/_//g`_web | sudo docker-squash -t `echo jenkins${JOB_NAME}${BUILD_NUMBER}| sed s/_//g`_web | docker load +docker-squash -t `echo jenkins${JOB_NAME}${BUILD_NUMBER}| sed s/_//g`_web `echo jenkins${JOB_NAME}${BUILD_...
bash
d_bash_685
--- +++ @@ -2,4 +2,4 @@ # as seen in http://www.porcheron.info/command-not-found-for-zsh/ # this is installed in Ubuntu -source /etc/zsh_command_not_found +[[ -e /etc/zsh_command_not_found ]] && source /etc/zsh_command_not_found
bash
d_bash_686
--- +++ @@ -38,7 +38,7 @@ echo "=======================================================================" sleep 1 echo "=======================================================================" - echo "Push to PyPi, This will require your username and password" + echo "Push to PyPi. This will requi...
bash
d_bash_687
--- +++ @@ -8,8 +8,4 @@ fi /usr/bin/jack_wait -w -exec /usr/bin/noice "$DEVNAME" - -# /usr/bin/jack_load noice -i "$DEVNAME" -# while [ -e "$DEVNAME" ]; do /usr/bin/sleep 1; done -# /usr/bin/jack_unload noice +/usr/bin/noice "$DEVNAME" &
bash
d_bash_688
--- +++ @@ -6,10 +6,12 @@ git clone https://github.com/yyuu/pyenv.git ~/.pyenv export PYENV_ROOT="$HOME/.pyenv" export PATH="$PYENV_ROOT/bin:$PATH" - pyenv install jython-2.7.0 + pyenv install pypy-2.5.0 mkdir ~/jython_test cd ~/jython_test - pyenv local jython-2.7.0 + pyenv global pypy-2....
bash
d_bash_689
--- +++ @@ -2,12 +2,13 @@ set -e INSTALL_BASE="/opt/dims" -JAR_PATH="$INSTALL_BASE/jars/tupelo" # If there was a path specified, use that instead of the default if [ ! "$1" == "" ]; then INSTALL_BASE="$1" fi + +JAR_PATH="$INSTALL_BASE/jars/tupelo" echo "Installing to $INSTALL_BASE"
bash
d_bash_690
--- +++ @@ -7,7 +7,7 @@ echo "Starting to update gh-pages\n" #copy data we're interested in to other place -cp -R dist $HOME/dist +cp -R build $HOME/build #go to home and setup git cd $HOME @@ -19,7 +19,7 @@ #go into directory and copy data we're interested in to that directory cd gh-pages -cp -Rf $HOME/d...
bash
d_bash_691
--- +++ @@ -7,4 +7,10 @@ conda config --set always_yes yes --set changeps1 no conda update -q conda conda info -a -conda install jupyter + +# install development version of juptyer +# https://github.com/jupyter/notebook/blob/master/.travis.yml +git clone https://github.com/jupyter/notebook notebook-dev +cd noteboo...
bash
d_bash_692
--- +++ @@ -2,11 +2,19 @@ # # Configure postgres docker image to use the extensions we need # + +# +# Run "set +e" because these init scrupts seem to run "set -e" by default, +# which doesn't allow us to check exit failures from grep or otherwise. +# +set +e + PG_CONF=/var/lib/postgresql/data/postgresql.conf g...
bash
d_bash_693
--- +++ @@ -1,3 +1,3 @@ #!/usr/bin/env bash -docker-compose -f docker-compose.yml -f docker-compose.new-build.yml run --rm --service-ports web bash -c "Dockers/wait-for-it.sh -b db:5432 && python manage.py test --with-coverage --cover-erase --cover-package=lily" +docker-compose -f docker-compose.yml -f docker-comp...
bash
d_bash_694
--- +++ @@ -2,7 +2,7 @@ git submodule init git submodule update -echo 'set runtimepath=~/.vim_runtime,~/.vim_runtime/after,\$VIMRUNTIME +echo 'set runtimepath+=~/.vim_runtime source ~/.vim_runtime/vimrcs/basic.vim source ~/.vim_runtime/vimrcs/filetypes.vim
bash
d_bash_695
--- +++ @@ -30,7 +30,7 @@ java -jar jsrun.jar app/run.js -c=conf/$MODE.conf -D="renderMode:$MODE" cd .. -if [ $MODE == "docs" ] +if [ $MODE = "docs" ] then # Build paper.js library for documentation ./preprocess.sh stripped ../src/paper.js ../dist/docs/resources/js/paper.js\
bash
d_bash_696
--- +++ @@ -1,9 +1,16 @@ -dest=/path/to/local/folder +if test "$#" -ne 1; then + echo "Usage: ./node-bootstrap.sh /path/to/local/folder/for/node" + exit +fi -cd $dest +mkdir $1 +cd $1 curl -O http://nodejs.org/dist/v0.12.0/node-v0.12.0-darwin-x64.tar.gz tar -xvf node-v0.12.0-darwin-x64.tar.gz cd node-v0.12.0-...
bash
d_bash_697
--- +++ @@ -1,7 +1,15 @@ #!/bin/sh # Update all Git and Subversion repositories under the current directory. +which git-up 1>/dev/null +GITUP=$? CURRENT=$PWD + +function echorun { + echo + $* + $* +} + for GIT in $(find $CURRENT -name .git) do DIRECTORY=$(dirname $GIT) @@ -9,15 +17,16 @@ echo =...
bash
d_bash_698
--- +++ @@ -4,14 +4,9 @@ $BASE/new/devstack-gate/devstack-vm-gate.sh -# Ideally devstack would only install dependencies -# rather than starting services, but for now unstack is -# a cheap way of accomplishing the same result. -$BASE/new/devstack/unstack.sh - # Add a rootwrap filter to support test-only # conf...
bash
d_bash_699
--- +++ @@ -10,9 +10,23 @@ local NOTEBOOK_PORT=${2:-8888} local USER_HOME=${3:-$USER} - local OPTIONAL_ARGS="-p ${NOTEBOOK_PORT}:8888 -v $PWD:/home/${USER_HOME}/work" + local OPTIONAL_ARGS="-p ${NOTEBOOK_PORT}:8888 -v $PWD:/home/${USER_HOME}/work -e NB_USER=${USER_HOME}" dckstartdaemon jupyter/all-spark-...
bash